Problem installing libnet 1.0704 
Author Message
 Problem installing libnet 1.0704

Folks:

I'm trying to install the libnet package (for the net::ftp module), but when I run 'make test' I get the following ...



t/ftp...............skipped test on this platform
t/hostname..........skipped test on this platform
t/nntp..............skipped test on this platform
t/require...........ok 11/11FAILED tests 8-9                                
        Failed 2/11 tests, 81.82% okay
t/smtp..............skipped test on this platform
Failed Test  Status Wstat Total Fail  Failed  List of failed
-------------------------------------------------------------------------------
t/require.t                  11    2  18.18%  8-9
4 tests skipped.
Failed 1/5 test scripts, 80.00% okay. 2/11 subtests failed, 81.82% okay.
make: *** [test_dynamic] Error 29

Any ideas what might be causing this?

Thanks!

david



Thu, 15 Apr 2004 13:04:27 GMT  
 Problem installing libnet 1.0704

Quote:

> Folks:

> I'm trying to install the libnet package (for the net::ftp module), but when I run 'make test' I get the following ...

[...]

Quote:
> t/require.t                  11    2  18.18%  8-9
> 4 tests skipped.
> Failed 1/5 test scripts, 80.00% okay. 2/11 subtests failed, 81.82% okay.
> make: *** [test_dynamic] Error 29

> Any ideas what might be causing this?

Yes, it's a known bug of libnet that it requires() two other modules in
the tests that are not part of the bundle. You can savely ignore these
errors and install it right away. You could also edit t/require.t and
remove the two offending require-statements. Or you install Net::SNTP
and Net::PH and run libnet's tests again. Then it should eventually work.

Tassilo

--
$a=[(74,116)];$b=[($a->[1]-1,$a->[1]++,0x20)];$c=[(97,110)];$d=[($c->

(chr($_)):print;}}$c=sub{$l=shift;[(0x20+$l-1,0x50,0x65,0x73-0x01,108


ord(chr($h->{$_}))))};



Thu, 15 Apr 2004 15:43:33 GMT  
 
 [ 2 post ] 

 Relevant Pages 

1. libnet 1.0704 install problem

2. libnet 1.0704 install problem

3. libnet 1.0704 Install Test 8&9 Fail

4. Q : Problem installing module libnet-1.0505 !

5. Problem installing libnet module <unix>

6. libnet package install problems

7. Problem installing libnet-1.0702

8. Problems installing LIBNET

9. Help installing 'libnet' - dmake problem

10. Question: bind problem installing libnet

11. Problems Installing Libnet Bundle <Unix>

12. Read FAQs but can't install libnet-1.0605

 

 
Powered by phpBB® Forum Software